Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://api.mysoleas.com/payment-links \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"currency": "XAF",
"amount": 2,
"provider": "CM_MTN_MOMO",
"title": "<string>",
"description": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"max_usage": 2,
"metadata": {}
}
'import requests
url = "https://api.mysoleas.com/payment-links"
payload = {
"currency": "XAF",
"amount": 2,
"provider": "CM_MTN_MOMO",
"title": "<string>",
"description": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"max_usage": 2,
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
currency: 'XAF',
amount: 2,
provider: 'CM_MTN_MOMO',
title: '<string>',
description: '<string>',
expires_at: '2023-11-07T05:31:56Z',
max_usage: 2,
metadata: {}
})
};
fetch('https://api.mysoleas.com/payment-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"success": true,
"locale": "fr",
"message": "<string>",
"meta": {},
"data": {
"reference": "<string>",
"short_code": "<string>",
"payment_url": "<string>",
"amount": 123,
"currency": "<string>",
"title": "<string>",
"description": "<string>",
"expires_at": "<string>",
"created_at": "<string>"
}
}{
"success": false,
"code": 400,
"message": "empty_data",
"error": {
"details": {}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
"XAF"
x >= 1"CM_MTN_MOMO"
PROVIDER, WALLET, AUTO x >= 1